QGIS Application - Bug report #6281
attribute editor: NULL value for relation value
2012-08-29 11:49 PM - Matthias Kuhn

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 15581
Description

When you display a combo box for a relation value (foreign key) in the attribute editor and choose to show the items ordered, a
NULL-value is not selected, when the data has a NULL-value.

The attached patch solves this problem. Apart from that, the NULL-value is now always the first item in the combobox.

History

#1 - 2012-08-30 02:18 AM - Giovanni Manghi
- Pull Request or Patch supplied changed from No to Yes

#2 - 2012-08-30 02:47 AM - Andreas Neumann

- Assignee set to Jirgen Fischer

Hi Jargen,

Can you please have a look at this patch? | think you know this bit of code the best.

Thanks,

Andreas

#3 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#4 - 2013-01-05 05:47 PM - Jiirgen Fischer

- Resolution set to fixed
- Status changed from Open to Closed

applied in commit:b121a2f688
